> For the complete documentation index, see [llms.txt](https://docs.coda.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coda.co/https-coda-payments.gitbook.io-zhong-wen-coda-private-technical-documentation/payout/api-shuo-ming/cuo-wu-chu-li.md).

# 错误处理

## <mark style="color:purple;">Payout 发起状态定义</mark>

如果[发起payout请求](/https-coda-payments.gitbook.io-zhong-wen-coda-private-technical-documentation/payout/api-shuo-ming/fa-qi-payout-qing-qiu.md)中缺少必填字段或header信息，可能会返回错误。

<table><thead><tr><th width="110.33599853515625">错误代码</th><th width="154.290771484375">信息</th><th>原因</th></tr></thead><tbody><tr><td>400</td><td>Bad Request </td><td><p>必填字段缺失、参数不匹配或不正确。</p><p>例如: “请求 ID 不应重复”</p></td></tr><tr><td>401</td><td>Rejected</td><td>x-signature 不匹配</td></tr><tr><td>403</td><td>Forbidden </td><td><p>header 参数缺失，其</p><p>认证错误</p></td></tr></tbody></table>

## <mark style="color:purple;">错误响应示例</mark>

{% tabs %}
{% tab title="状态 400" %}

```javascript
{
  "status": 400,
  "title": "Constraint Violation",
  "violations": [
    {
      "field": "errors.com.payout.idempotency_error",
      "message": "Request id should not be duplicated",
      "comment": "requestId: koongpayout79_request_id_4July2023BBB, payoutId: fab29194-5e2f-4929-93d2-64a5af94c64c"
    }
  ]
}

```

{% endtab %}

{% tab title="状态 401" %}

```javascript
{
    "status": 401,
    "violations": [
        {
            "path": "errors.com.payout.unauthorized",
            "message": "Invalid signature"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

## <mark style="color:purple;">检查状态</mark>

如果[检查状态 API](/https-coda-payments.gitbook.io-zhong-wen-coda-private-technical-documentation/payout/api-shuo-ming/cha-kan-payout-ding-dan-zhuang-tai.md) 的payout状态为“Failed (失败)” 或 “Rejected (拒绝)”，则会显示这些错误。

| Coda状态   | Coda错误代码                     | Coda错误描述                                                                                                                                                                                                                                                                                       |
| -------- | ---------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| REJECTED | DAILY\_LIMIT\_EXCESS         | 每日支付限额已超出,请次日再试。                                                                                                                                                                                                                                                                               |
|          | INCOMPLETE\_DATA             | 付款信息不完整, 请检查是否已输入所有相关信息并重试。                                                                                                                                                                                                                                                                    |
|          | INSUFFICIENT\_FUNDS          | Payout余额不足，无法完成此请求。                                                                                                                                                                                                                                                                            |
|          | MAX\_LIMIT\_EXCEED\_INTERNAL | 请与 Coda 联系以获取更多信息                                                                                                                                                                                                                                                                              |
|          | INVALID\_NAME                | <p>姓名包含特殊格式或不支持的字符（例如：粗体、斜体、艺术字体、符号等）<br>请使用有效姓名重新提交<br><br>例如：</p><p>以下情况将会被拒绝 ❌</p><ul><li>𝒁𝒂𝒉𝒊𝒅𝒂 𝒑𝒂𝒓𝒗𝒆𝒆𝒏</li><li>𝑩𝒆𝒓𝒍𝒍𝒂ꨄ︎</li><li>𝘼𝙧𝙞𝙖𝙬𝙖𝙣 𝙁𝙪𝙖𝙙</li></ul><p>以下情况为正常可通过 ✅</p><ul><li>Kevin Lehner</li><li>Vasantha jang</li><li>محمد يتيم وتيد العنزي</li></ul> |

| Coda状态 | Coda错误代码                    | Coda错误描述                                                                                                       |
| ------ | --------------------------- | -------------------------------------------------------------------------------------------------------------- |
| FAILED | BENEFICIARY\_REJECTED       | 收款人拒绝付款。若为误操作, 请重新提交payout请求。                                                                                  |
|        | EXTERNAL\_ERROR             | 请联系 Coda支持团队。                                                                                                  |
|        | INCOMPLETE\_DATA            | 付款详细信息不完整。请检查您是否已输入所有相关详细信息，然后重试。                                                                              |
|        | INTERNAL\_ERROR             | 请联系 Coda支持团队。                                                                                                  |
|        | INVALID\_ACCOUNT            | 帐户已关闭、已冻结或处于非活动状态。请咨询您的提供商，并在您的帐户处于活动状态时重试。                                                                    |
|        | INVALID\_ACCOUNT\_DETAILS   | 帐户详细信息无效。请检查您的帐户详细信息，然后重试。                                                                                     |
|        | INVALID\_ACCOUNT\_NUMBER    | 帐号无效。请使用有效的帐号重新提交。                                                                                             |
|        | INVALID\_AMOUNT             | 无效金额。请以有效的输入金额重新提交。                                                                                            |
|        | INVALID\_BANK\_CODE         | 银行代码无效。请使用有效的银行代码重新提交。                                                                                         |
|        | INVALID\_CURRENCY           | 无效的货币。请检查发送和接收货币是否均受支持且有效。                                                                                     |
|        | INVALID\_DATA               | 付款详细信息无效。请检查您输入的所有详细信息是否正确，然后重试。                                                                               |
|        | INVALID\_DATE               | 日期无效。请检查日期格式或日期的有效性。                                                                                           |
|        | INVALID\_ID                 | 身份证无效。请使用有效的国民身份证重试。                                                                                           |
|        | INVALID\_NAME               | 名称无效，不允许使用符号。请使用有效的姓名重新提交。                                                                                     |
|        | INVALID\_PHONE              | 电话号码无效。请使用有效的电话号码重试。                                                                                           |
|        | MAX\_ACCOUNT\_LIMIT\_EXCEED | 您的账户已超出最高支付限额, 请在重试前检查账户限额设置。                                                                                  |
|        | MAX\_COUNT\_EXCEED          | 您的交易次数已超限。请检查账户限制设置，稍后再尝试。                                                                                     |
|        | MAX\_LIMIT\_EXCEED          | 金额已超过上限, 请修改输入金额后重试。                                                                                           |
|        | NOT\_VODAFONE\_CASH         | <p>该手机号未注册 Vodafone Cash 钱包, 请提供正确的移动运营商信息。<br><br>（注：此提示仅适用于埃及地区Payout）</p>                                   |
|        | SUCCESS\_TO\_FAILED         | <p>Payout状态为“成功”，但最终因收款银行拒绝而更改为“失败”。请重新提交您的payout请求并提供正确的详细信息。</p><p></p><p>（注：此类最终状态变更仅适用于沙特阿拉伯地区的银行转账付款）</p> |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.coda.co/https-coda-payments.gitbook.io-zhong-wen-coda-private-technical-documentation/payout/api-shuo-ming/cuo-wu-chu-li.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
